Bug Hunting Session
Bug 36963 - UI : Cell/Range can not be selected with Name Box
Summary: UI : Cell/Range can not be selected with Name Box
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 Beta4
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-05-08 05:34 UTC by pierre-yves samyn
Modified: 2011-06-29 13:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2011-05-08 05:34:49 UTC
Hello

My environment: XP - Libo BuildID = 300m103 3.4 (Build: 4)

Steps to Reproduce:
1. Create a new spreadsheet (or open an existing one containing more than one sheet)
2. Click on the tab of a sheet, other than the first to make it the current one
3. The name box (left dropdown in the formula bar) displays the current cell
4. Click in the name box and then type an valid cell (range) reference other than the current one.

For example if the current selection is A1, type B3

Expected result: selection of B3 in the current sheet
Actual result: selection of B3 in the first sheet.

This is a regression.

May be related with id=36848

Indeed, the bug described in 36848 (selection of a named range by his name via the name box) is corrected, but the selection of a cell/range by reference that does not work anymore ...

Best regards
Comment 1 vitriol 2011-05-08 05:53:08 UTC
I confirm this bad behavior... Keyword regression
Comment 2 Noel Power 2011-05-09 11:11:47 UTC
->kohei

minor bug, might be worth making into an easy hack ?
Comment 3 Markus Mohrhard 2011-06-29 13:00:02 UTC
fixed as fallout out of my other patch for the name box

just add the table number as fallback to the address parser